Skip to main content

createControlSyncStatus

Receives information of which asset left the queue (topic) and started to be processed.

createControlSyncStatus(
input: CreateControlSyncStatusInput!
): CreateControlSyncStatusPayload

Arguments​

createControlSyncStatus.input ● CreateControlSyncStatusInput! non-null input​

Parameters for CreateControlSyncStatus

Type​

CreateControlSyncStatusPayload object​

Autogenerated return type of CreateControlSyncStatus.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateControlSyncStatus($input: CreateControlSyncStatusInput!) {\n createControlSyncStatus(input: $input) { clientMutationId controlSyncStatus { id status asset { __typename } } success }\n}","variables":{"input":{"assetId":"<asset_id>","integration":"CONVISO_AST","externalVulnerabilityCount":1}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute